package cn.ey.biz.module.system.enums.category;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;


/**
 * 字典分类枚举值
 */
@Getter
@AllArgsConstructor
public enum CategorySysFlagEnum {

    /**
     * 业务自建
     */
    BIZ_CUSTOM("0", "业务自建"),
    /**
     * 业务自建
     */
    SYSTEM("1", "系统字典"),
    /**
     * 业务通用
     */
    BIZ_COMMON("2", "业务通用");

    private final String code;

    private final String name;

    public static CategorySysFlagEnum getByCode(String code) {
        return Arrays.stream(values()).filter(categorySysFlagEnum -> categorySysFlagEnum.getCode().equals(code)).findFirst().orElse(null);
    }


}
